# Asterisk Project : Asterisk 12 Function_DEC

Added by wikibot , edited by wikibot on Aug 29, 2013

# DEC()

### Synopsis

Decrements the value of a variable, while returning the updated value to the dialplan

### Description

Decrements the value of a variable, while returning the updated value to the dialplan

Example: DEC(MyVAR) - Decrements MyVar

Note: DEC(${MyVAR}) - Is wrong, as DEC expects the variable name, not its value

### Syntax

    DEC(variable)

##### Arguments

- `variable` - The variable name to be manipulated, without the braces.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown